<?php
/**
 * Cycle news display
 *
 * @package 	Cycle news display
 * @subpackage 	Cycle news display
 * @version   	3.2
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/04/joomla-cycle-news-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;

class modJCycleNews
{
	public function loadScripts(&$params)
	{
		$doc = &JFactory::getDocument();
		$cyclenews_jquery = $params->get("cyclenews_jquery","yes");	
		if($cyclenews_jquery == "yes")	
		{
			$doc->addScript(JURI::Root(true).'/modules/mod_cycle_news_display/js/jquery.min.js');
		}
		$doc->addScript(JURI::Root(true).'/modules/mod_cycle_news_display/js/jquery.cycle.all.min.js');
		$doc->addStyleSheet(JURI::Root(true).'/modules/mod_cycle_news_display/css/mod_cycle_news_display.css');
	}
	
	public function getRssList($args)
	{
		$items	= array();
		$j = 0;
	  	for($i=1; $i<=10; $i++)
		{
			$cyclenews_news = "cyclenews_news" . $i;
			if($args[$cyclenews_news] <> "")
			{
				$items[$j] = new stdClass;
				$items[$j]->cyclenews_news	= $args[$cyclenews_news];
				$j = $j+1;
			}
		}
      	return $items;
    }
}
?>