<?php
/**
 * Cycle news display
 *
 * @package 	Cycle news display
 * @subpackage 	Cycle news display
 * @version   	3.2
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/04/joomla-cycle-news-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).'/helper.php');

// get a parameter from the module's configuration
$cyclenews_direction = $params->get('cyclenews_direction');
$cyclenews_speed = $params->get('cyclenews_speed');
$cyclenews_timeout = $params->get('cyclenews_timeout');
$cyclenews_css = $params->get('cyclenews_css');

for($i=1; $i<=10; $i++)
{
	$cyclenews_news = "cyclenews_news" . $i;
	$args[$cyclenews_news] = $params->get($cyclenews_news);
}

$items = modJCycleNews::getRssList($args);

modJCycleNews::loadScripts($params);

// include the template for display
require JModuleHelper::getLayoutPath('mod_cycle_news_display');
?>